---
#  - include_tasks: rsync.yml
#    더 이상 사용하지 않는 task, 기존 synchronize 모듈을 copy 모듈로 변경

  - include_tasks: host-agent.yml
    when: 
      - agent_list | select('search', 'host-agent') | list | count > 0
      - "'host_agent' in group_names"

  - include_tasks: manager-agent.yml
    when:
      - agent_list | select('search', 'manager-agent') | list | count > 0
      - "'manager_agent' in group_names"

#  - include_tasks: container-agent.yml
#    when: 
#      - agent_list | select('search', 'container-agent') | list | count > 0
#      - "'container_agent' in group_names"
#
#  - include_tasks: ndm-agent.yml
#    when: 
#      - agent_list | select('search', 'ndm-agent') | list | count > 0
#      - "'ndm_agent' in group_names"
#    컨테이너 에이전트와 ndm 에이전트는 제거, 더 이상 지원하지 않음
